---
title: List service accounts
description: Lists active service accounts in the workspace.
doc_version: 0.1.0-preview
last_updated: 2026-09-14
---

# List service accounts

`GET /v1/workspaces/{workspaceId}/service-accounts`

Lists active service accounts in the workspace. Requires an admin key.

## Authentication

Send `Authorization: Bearer <SPARK_API_KEY>`. Read the key from the
SPARK_API_KEY environment variable. Never print it.

## Path parameters

- `workspaceId` (string) — The workspace id.

## Example request

```bash
curl \
  --url "https://api.beta.graphon.ai/v1/workspaces/wspQ7WsH2Np5L/service-accounts" \
  --header "Authorization: Bearer $SPARK_API_KEY"
```

## Example response

```json
{
  "items": [
    {
      "id": "sacD4e5F6g7H8",
      "workspaceId": "wspQ7WsH2Np5L",
      "name": "CI runner",
      "description": "Deploys from GitHub Actions.",
      "role": "viewer",
      "status": "active",
      "createdBy": "usrB2c3D4e5F6",
      "createdByName": "Ada Lovelace",
      "createdAt": "2026-09-14T18:00:00.000Z",
      "keyCount": 0,
      "revision": 1
    }
  ]
}
```

## Sitemap

See the full [sitemap](/sitemap.md) for all pages.
